Make(_base)
ver(5.0.3)
Add(hcTplForm,1,273,189)
{
 Left=20
 Top=105
 Visible=1
 Modal=0
}
Add(hcHiAsmTrasmitter,2,189,182)
{
 link(onInit,10:doEvent1,[])
 link(Arg1,11:Text,[])
}
Add(hcTplButton,3,42,91)
{
 Left=10
 Top=5
 Width=50
 Height=50
 Caption="Open"
 StockID="gtk-open"
 Position=2
 link(onClick,5:doExecute,[])
}
Add(hcTplButton,4,42,133)
{
 Left=60
 Top=5
 Width=50
 Height=50
 Caption="Save"
 StockID="gtk-save-as"
 Position=2
 link(onClick,12:doExecute,[])
}
Add(hcOpenDialog,5,105,91)
{
 link(onExecute,11:doLoad,[(174,97)(174,97)])
}
Add(hcTplButton,6,42,49)
{
 Left=110
 Top=5
 Width=50
 Height=50
 Caption="Clear"
 StockID="gtk-clear"
 Position=2
 link(onClick,13:doWork2,[(121,55)(121,53)])
}
Add(hcTplButton,8,105,182)
{
 Left=165
 Top=5
 Width=50
 Height=50
 Caption="OK"
 StockID="gtk-ok"
 Position=2
 link(onClick,9:doEvent1,[])
}
Add(hcHub,9,154,182)
{
 link(onEvent1,2:doReturn,[])
 link(onEvent2,1:doClose,[(178,195)(178,202)])
}
Add(hcHub,10,238,182)
{
 link(onEvent1,13:doWork3,[(266,188)(266,53)])
 link(onEvent2,1:doShow,[])
}
Add(hcTplMemo,11,189,77)
{
 Left=15
 Top=65
 Width=295
 Height=240
}
Add(hcSaveDialog,12,105,133)
{
 link(onExecute,11:doSave,[(163,139)(163,104)])
}
Add(HubEx,13,168,47)
{
 Angle=1
 link(onEvent,11:doText,[(172,90)])
}
